# class Path

#### package haxe.io

Available on all platforms

This class provides a convenient way of working with paths. It supports the common path formats:

- directory1/directory2/filename.extension
- directory1\directory2\filename.extension

### Constructor

###

`new (path:String)`

Creates a new Path instance by parsing `path`.

Path information can be retrieved by accessing the dir, file and ext properties.

### Variables

###

`backslash:Bool`

True if the last directory separator is a backslash, false otherwise.

###

`dir:String`

The directory.

This is the leading part of the path that is not part of the file name and the extension.

Does not end with a `/` or `\` separator.

If the path has no directory, the value is null.

###

`ext:String`

The file extension.

It is separated from the file name by a dot. This dot is not part of the extension.

If the path has no extension, the value is null.

###

`file:String`

The file name.

This is the part of the part between the directory and the extension.

If there is no file name, e.g. for ".htaccess" or "/dir/", the value is the empty String "".

### Methods

###

`toString ():String`

Available on Android, iOS, Linux, macOS, Neko, Windows

Returns a String representation of `this` path.

If `this.backslash` is true, backslash is used as directory separator, otherwise slash is used. This only affects the separator between `this.dir` and `this.file`.

If `this.directory` or `this.extension` is null, their representation is the empty String "".

### Static methods

###

`staticdirectory (path:String):String`

Returns the directory of `path`.

If the directory is null, the empty String `""` is returned.

If `path` is null, the result is unspecified.

###

`staticextension (path:String):String`

Available on Flash

Returns the extension of `path`.

If the extension is null, the empty String `""` is returned.

If `path` is null, the result is unspecified.

###

`staticwithoutDirectory (path:String):String`

Available on Android, iOS, Linux, macOS, Neko, Windows

Returns the String representation of `path` without the directory.

If `path` is null, the result is unspecified.